Bug 864776 - The cartridge mongodb should not be displayed in the cartridge select list after user embed mysql to apps.
The cartridge mongodb should not be displayed in the cartridge select list af...
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 01:39 EDT by Mengjiao Gao
Modified: 2015-05-14 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 16:43:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The cartridge select page after add mysql. (174.85 KB, image/png)
2012-10-10 01:39 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Mengjiao Gao 2012-10-10 01:39:57 EDT
Created attachment 624604 [details]
The cartridge select page after add mysql.

Description of problem:
After I embed mysql to my apps, I cannot add mongodb and postgresql anymore. But, I found that mongodb still listed in the cartridge select list , while the postgresql listed in the conflict list. 
I am not sure if the mongodb should be moved to the conflict list, So I put this bug's sevirity as low.

Version-Release number of selected component (if applicable):
devenv_2303

How reproducible:
always

Steps to Reproduce:
1.Create an application.
2.Add mysql to the app.
3.Check the cartridge select page.
4.Try to add mongodb to the app.
  
Actual results:
On step 3, the mongodb listed in the cartridge select list.
On step 4, the mongodb cannot be embed successfully.

Expected results:
On step 3, the mongdb should list in the  conflict cartridge list as the postgresql do.

Additional info:
Comment 1 Justin Harris 2012-11-14 16:43:26 EST
This should now be permitted, as per https://bugzilla.redhat.com/show_bug.cgi?id=873568

Note You need to log in before you can comment on or make changes to this bug.